%global module idna

Name:           python-%{module}
Version:        3.3
Release:        %mkrel 2
Summary:        Internationalized Domain Names in Applications (IDNA)
Group:          Development/Python
License:        BSD and Python and Unicode
URL:            https://github.com/kjd/idna
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
A library to support the Internationalised Domain Names in Applications (IDNA)
protocol as specified in RFC 5891 <http://tools.ietf.org/html/rfc5891>.  This
version of the protocol is often referred to as "IDNA2008" and can produce
different results from the earlier standard from 2003.

The library is also intended to act as a suitable drop-in replacement for the
"encodings.idna" module that comes with the Python standard library but
currently only supports the older 2003 specification.

%package -n python3-%{module}

Summary:        Internationalized Domain Names in Applications (IDNA)
Group:          Development/Python

%description -n python3-%{module}
A library to support the Internationalised Domain Names in Applications (IDNA)
protocol as specified in RFC 5891 <http://tools.ietf.org/html/rfc5891>.  This
version of the protocol is often referred to as "IDNA2008" and can produce
different results from the earlier standard from 2003.

The library is also intended to act as a suitable drop-in replacement for the
"encodings.idna" module that comes with the Python standard library but
currently only supports the older 2003 specification.

%prep
%setup -qn %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{module}
%doc README.rst HISTORY.rst LICENSE.md
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Mar 01 2022 TerryN <terryn94 at gmail.com> 3.3-2pclos2022
- rebuild

* Tue Mar 01 2022 TerryN <terryn94 at gmail.com> 3.3-1pclos2022
- update and rebuild for python 3.10

* Mon Apr 02 2018 marcin82 <fixxer1982 at gmail.com> 2.6-1pclos2018
- update

* Sun Sep 13 2015 bb <bb> 2.0-1pclos2015
- update
